set noexpandtab

" use goimports for formatting
let g:go_fmt_command = "goimports"

" turn highlighting on
let g:go_highlight_functions = 1
let g:go_highlight_methods = 1
let g:go_highlight_structs = 1
let g:go_highlight_operators = 1
let g:go_highlight_build_constraints = 1

augroup go_linters
    autocmd!
    autocmd FileType go let g:ale_linters['go'] = ['golangci-lint']
augroup END

" Open go doc in vertical window, horizontal, or tab
nnoremap <leader>d :GoDef<CR>
nnoremap <leader>t :GoDefType<CR>
